<?php
/**
 * Footer Template
 *
 * Here we setup all logic and XHTML that is required for the footer section of all screens.
 *
 * @package WooFramework
 * @subpackage Template
 */
	global $woo_options;

	$total = 4;
	if ( isset( $woo_options['woo_footer_sidebars'] ) && ( $woo_options['woo_footer_sidebars'] != '' ) ) {
		$total = $woo_options['woo_footer_sidebars'];
	}

	if ( ( woo_active_sidebar( 'footer-1' ) ||
		   woo_active_sidebar( 'footer-2' ) ||
		   woo_active_sidebar( 'footer-3' ) ||
		   woo_active_sidebar( 'footer-4' ) ) && $total > 0 || ( isset( $woo_options[ 'woo_display_store_info' ] ) && $woo_options[ 'woo_display_store_info' ] == "true" ) ) {

?>
	<section id="footer-widgets" class="col-full col-<?php echo $total; ?> fix">
	
		<?php if ( $woo_options[ 'woo_display_store_info' ] == "true" ) { 
		$email = get_option('woo_store_email_address');
		$phone = get_option('woo_store_phone_number');
		$twitterID = get_option('woo_contact_twitter');
		?>
		<ul class="store-info">
		
			<li class="phone">
				<a href="tel:<?php echo $phone; ?>"><?php echo $phone; ?></a>
			</li>
			
			<li class="email">
				<a href="mailto:<?php echo $email; ?>" title="<?php _e('Send us an email', 'woothemes')?>"><?php echo $email; ?></a>
			</li>
			
			<?php if ( $woo_options[ 'woo_store_twitter_username' ] == "true" ) { 
			
			?>
			<li class="twitter">
				<a href="http://twitter.com/<?php echo $twitterID; ?>" title="<?php _e('Follow','woothemes'); ?> @<?php echo $twitterID; ?> <?php _e('on Twitter','woothemes'); ?>" class="tooltip">@<?php echo $twitterID; ?></a>
			</li>
			<?php } ?>
			
		</ul><!--/.store-info-->
		<?php } ?>

		<?php 

			if ( ( woo_active_sidebar( 'footer-1' ) ||
			   woo_active_sidebar( 'footer-2' ) ||
			   woo_active_sidebar( 'footer-3' ) ||
			   woo_active_sidebar( 'footer-4' ) ) && $total > 0 ) {

		?>

		<div class="widgets">
			<?php $i = 0; while ( $i < $total ) { $i++; ?>
				<?php if ( woo_active_sidebar( 'footer-' . $i ) ) { ?>
					<div class="block footer-widget-<?php echo $i; ?>">
			        	<?php woo_sidebar( 'footer-' . $i ); ?>
					</div>
	        	<?php } ?>
			<?php } // End WHILE Loop ?>
		</div>

		<?php } ?>

	</section><!-- /#footer-widgets  -->
<?php } // End IF Statement ?>
	<footer id="footer" class="col-full">

		<div id="copyright" class="col-left">
		<?php if( isset( $woo_options['woo_footer_left'] ) && $woo_options['woo_footer_left'] == 'true' ) {

				echo stripslashes( $woo_options['woo_footer_left_text'] );

		} else { ?>
			<p><?php bloginfo(); ?> &copy; <?php echo date( 'Y' ); ?>. <?php _e( 'All Rights Reserved.', 'woothemes' ); ?></p>
		<?php } ?>
		</div>

		<div id="credit" class="col-right">
        <?php if( isset( $woo_options['woo_footer_right'] ) && $woo_options['woo_footer_right'] == 'true' ) {

        	echo stripslashes( $woo_options['woo_footer_right_text'] );

		} else { ?>
			<p><?php _e( 'Powered by', 'woothemes' ); ?> <a href="http://www.wordpress.org">WordPress</a>. <?php _e( 'Designed by', 'woothemes' ); ?> <a href="<?php echo ( isset( $woo_options['woo_footer_aff_link'] ) && ! empty( $woo_options['woo_footer_aff_link'] ) ? esc_url( $woo_options['woo_footer_aff_link'] ) : 'http://www.woothemes.com' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/woothemes.png" width="74" height="19" alt="Woo Themes" /></a></p>
		<?php } ?>
		</div>

	</footer><!-- /#footer  -->

</div><!-- /#wrapper -->
<?php wp_footer(); ?>
<?php woo_foot(); ?>
</body>
</html>